<!DOCTYPE html>
<html lang="pt-br">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script src="vue.global.js"></script>
    <title>Teste V-IF</title>

    <link rel="stylesheet" href="style.css"/>
</head>
<body>
    <div id="app"> 
        <div>
            <span v-if="TesteSpan">Funcionou nosso exemplo!</span>
            <button @click="handleTest">Teste</button>

        </div><!--fim da div-->

        <div>

            <button @click="toggleLampada">
                {{isLampadaLigada ? 'Desligar' : 'Ligar'}}
            </button>
            <br>
            <img v-if="isLampadaLigada" src="./Imagens/On.png" alt="Lampada Ligada"/>
            <img v-else="isLampadaLigada" src="./Imagens/Off.png" alt="Lampada Desligada"/>
        </div>


    </div><!--Fim da div principal-->

    <script src="process.js"></script>
</body>
</html>